package cz.muni.fi.pa165.soccermanager.service;

import cz.muni.fi.pa165.soccermanager.dto.MatchDto;
import cz.muni.fi.pa165.soccermanager.dto.MatchScoreDto;
import cz.muni.fi.pa165.soccermanager.dto.request.CreateMatchRequest;

import cz.muni.fi.pa165.soccermanager.dto.request.UpdateMatchDto;
import java.time.LocalDate;
import java.util.List;
import java.util.Optional;
import org.springframework.data.domain.Page;

/**
 * @author Stanislav Koshchienko (uco: 506549)
 */
public interface MatchService {
    void update(Long id, UpdateMatchDto matchdto);

    void remove(Long match);

    Long saveMatch(CreateMatchRequest request, Long leagueId);

    Optional<MatchDto> findMatchById(Long matchId);

    MatchScoreDto playMatch(Long match);

    List<MatchDto> findMatchesByLeague(Long leagueId);

    List<MatchDto> getMatchesByTeamId(Long teamId);
}
